# Generated by Django 3.1.1 on 2020-09-29 12:44

import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import painless.utils.upload.path


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Category',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=150, unique=True, validators=[django.core.validators.MaxLengthValidator(150), django.core.validators.MinLengthValidator(3)], verbose_name='Title')),
                ('slug', models.SlugField(allow_unicode=True, editable=False, max_length=150, unique=True, verbose_name='Slug')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Created')),
                ('modified', models.DateTimeField(auto_now=True, verbose_name='Modified')),
            ],
            options={
                'verbose_name': 'Category',
                'verbose_name_plural': 'Categories',
            },
        ),
        migrations.CreateModel(
            name='ContactFullName',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Created')),
                ('modified', models.DateTimeField(auto_now=True, verbose_name='Modified')),
                ('full_name', models.CharField(max_length=200, verbose_name='Full Name')),
                ('email', models.EmailField(max_length=254, validators=[django.core.validators.EmailValidator], verbose_name='Email')),
                ('message', models.TextField(verbose_name='Message')),
                ('phone_number', models.CharField(max_length=13, validators=[django.core.validators.RegexValidator('^(\\+98|0)?9\\d{9}$', message='please enter like these patterns `+989xxxxxxxxx`, `09xxxxxxxxx`.'), django.core.validators.MinLengthValidator(11), django.core.validators.MaxLengthValidator(13)], verbose_name='Phone Number')),
            ],
            options={
                'verbose_name': 'Contact',
                'verbose_name_plural': 'Contacts',
            },
        ),
        migrations.CreateModel(
            name='ContactTraditional',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Created')),
                ('modified', models.DateTimeField(auto_now=True, verbose_name='Modified')),
                ('first_name', models.CharField(max_length=200, verbose_name='First Name')),
                ('last_name', models.CharField(max_length=200, verbose_name='Last Name')),
                ('email', models.EmailField(max_length=254, validators=[django.core.validators.EmailValidator], verbose_name='Email')),
                ('message', models.TextField(verbose_name='Message')),
                ('phone_number', models.CharField(max_length=13, validators=[django.core.validators.RegexValidator('^(\\+98|0)?9\\d{9}$', message='please enter like these patterns `+989xxxxxxxxx`, `09xxxxxxxxx`.'), django.core.validators.MinLengthValidator(11), django.core.validators.MaxLengthValidator(13)], verbose_name='Phone Number')),
            ],
            options={
                'verbose_name': 'Contact',
                'verbose_name_plural': 'Contacts',
            },
        ),
        migrations.CreateModel(
            name='Page',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('picture', models.ImageField(height_field='height_field', max_length=110, upload_to=painless.utils.upload.path.date_directory_path, validators=[django.core.validators.FileExtensionValidator(allowed_extensions=['JPG', 'JPEG', 'PNG', 'jpg', 'jpeg', 'png'])], verbose_name='Picture', width_field='width_field')),
                ('picture_alternate_text', models.CharField(max_length=110, validators=[django.core.validators.MaxLengthValidator(150), django.core.validators.MinLengthValidator(3)], verbose_name='Picture Alternate Text')),
                ('width_field', models.PositiveSmallIntegerField(editable=False, verbose_name='Width Field')),
                ('height_field', models.PositiveSmallIntegerField(editable=False, verbose_name='Height Field')),
                ('title', models.CharField(max_length=100, verbose_name='Title')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='RequestInquiry',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('full_name', models.CharField(max_length=200, verbose_name='Address')),
                ('email', models.EmailField(max_length=254, validators=[django.core.validators.EmailValidator], verbose_name='Email')),
                ('message', models.TextField(verbose_name='Message')),
                ('phone_number', models.CharField(max_length=12, validators=[django.core.validators.RegexValidator('^(\\+98|0)?9\\d{9}$', message='please enter like these patterns `+989xxxxxxxxx`, `09xxxxxxxxx`.'), django.core.validators.MinLengthValidator(11), django.core.validators.MaxLengthValidator(13)], verbose_name='Phone Number')),
            ],
            options={
                'verbose_name': 'Request Inquiry',
                'verbose_name_plural': 'Request Inquiries',
            },
        ),
        migrations.CreateModel(
            name='Site',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('picture', models.ImageField(height_field='height_field', max_length=110, upload_to=painless.utils.upload.path.date_directory_path, validators=[django.core.validators.FileExtensionValidator(allowed_extensions=['JPG', 'JPEG', 'PNG', 'jpg', 'jpeg', 'png'])], verbose_name='Picture', width_field='width_field')),
                ('picture_alternate_text', models.CharField(max_length=110, validators=[django.core.validators.MaxLengthValidator(150), django.core.validators.MinLengthValidator(3)], verbose_name='Picture Alternate Text')),
                ('width_field', models.PositiveSmallIntegerField(editable=False, verbose_name='Width Field')),
                ('height_field', models.PositiveSmallIntegerField(editable=False, verbose_name='Height Field')),
                ('video', models.FileField(max_length=110, upload_to=painless.utils.upload.path.date_directory_path, validators=[django.core.validators.FileExtensionValidator(allowed_extensions=['mp4'])], verbose_name='Video')),
                ('video_alternate_text', models.CharField(max_length=110, validators=[django.core.validators.MaxLengthValidator(150), django.core.validators.MinLengthValidator(3)], verbose_name='Video Alternate Text')),
                ('domain', models.URLField(validators=[django.core.validators.URLValidator()], verbose_name='Site Domain')),
                ('phone_number', models.CharField(max_length=12, validators=[django.core.validators.RegexValidator('^(\\+98|0)?9\\d{9}$', message='please enter like these patterns `+989xxxxxxxxx`, `09xxxxxxxxx`.'), django.core.validators.MinLengthValidator(11), django.core.validators.MaxLengthValidator(13)], verbose_name='Phone Number')),
                ('address', models.CharField(max_length=200, verbose_name='Address')),
                ('about_us', models.TextField(verbose_name='About Us')),
                ('about_us_pic', models.ImageField(height_field='width_field_about', max_length=110, upload_to=painless.utils.upload.path.date_directory_path, validators=[django.core.validators.FileExtensionValidator(allowed_extensions=['JPG', 'JPEG', 'PNG', 'jpg', 'jpeg', 'png'])], verbose_name='about Us Picture', width_field='height_field_about')),
                ('width_field_about', models.PositiveSmallIntegerField(editable=False, verbose_name='Width Field')),
                ('height_field_about', models.PositiveSmallIntegerField(editable=False, verbose_name='Height Field')),
                ('about_us_alternate_text', models.CharField(max_length=110, validators=[django.core.validators.MaxLengthValidator(150), django.core.validators.MinLengthValidator(3)], verbose_name='Alternate Text')),
                ('about_width_field', models.PositiveSmallIntegerField(editable=False, verbose_name='Width Field')),
                ('about_height_field', models.PositiveSmallIntegerField(editable=False, verbose_name='Height Field')),
                ('footer_text', models.TextField()),
            ],
            options={
                'verbose_name': 'Site',
                'verbose_name_plural': 'Sites',
            },
        ),
        migrations.CreateModel(
            name='Service',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=150, unique=True, validators=[django.core.validators.MaxLengthValidator(150), django.core.validators.MinLengthValidator(3)], verbose_name='Title')),
                ('slug', models.SlugField(allow_unicode=True, editable=False, max_length=150, unique=True, verbose_name='Slug')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Created')),
                ('modified', models.DateTimeField(auto_now=True, verbose_name='Modified')),
                ('picture', models.ImageField(height_field='height_field', max_length=110, upload_to=painless.utils.upload.path.date_directory_path, validators=[django.core.validators.FileExtensionValidator(allowed_extensions=['JPG', 'JPEG', 'PNG', 'jpg', 'jpeg', 'png'])], verbose_name='Picture', width_field='width_field')),
                ('picture_alternate_text', models.CharField(max_length=110, validators=[django.core.validators.MaxLengthValidator(150), django.core.validators.MinLengthValidator(3)], verbose_name='Picture Alternate Text')),
                ('width_field', models.PositiveSmallIntegerField(editable=False, verbose_name='Width Field')),
                ('height_field', models.PositiveSmallIntegerField(editable=False, verbose_name='Height Field')),
                ('sku', models.CharField(editable=False, max_length=7, verbose_name='SKU')),
                ('description', models.TextField(verbose_name='Description')),
                ('category', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='services', to='cms.category')),
            ],
            options={
                'verbose_name': 'Service',
                'verbose_name_plural': 'Services',
            },
        ),
    ]
